Bug 883235 - [RFE] User dashboard on Zanata home page for rapid navigation to locations of interest
[RFE] User dashboard on Zanata home page for rapid navigation to locations of...
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
unspecified
Unspecified Unspecified
medium Severity medium
: ---
: 3.0
Assigned To: Luke Brooker
Damian Jansen
:
Depends On: 981064 996377
Blocks: 977633
  Show dependency treegraph
 
Reported: 2012-12-04 01:12 EST by David Mason
Modified: 2016-04-18 05:37 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-26 22:24:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lbrooker: needinfo-


Attachments (Terms of Use)

  None (edit)
Description David Mason 2012-12-04 01:12:15 EST
Description of problem:
Navigation to documents currently requires several clicks and can be slowed by finding the project in the project list. Translators should be able to navigate quickly to documents in projects they have recently worked on or to projects they are interested in. A dashboard on the home page of the Zanata server should be shown for signed-in users. The dashboard would show:

 - recent documents, as breadcrumbs so the document, locale-specific document list, version or project can be reached in a single click
 - flagged projects, project-versions, document lists and documents. UI elements should be provided on other pages to allow toggling of flag status, and on the dashboard to un-flag items.
 - joined language teams
 - maintained projects


As an enhancement, users may be able to choose which categories are shown on the dashboard, whether they are expanded or collapsed, the order in which they appear, and the maximum number of each type of item to show by default (where a UI element would indicate if more are available and allow additional items to be viewed).
Comment 1 Luke Brooker 2013-05-24 02:27:52 EDT
I have uploaded some mockups to Mojo/Jive for commenting.

https://mojo.redhat.com/message/21814
Comment 2 Damian Jansen 2013-08-14 07:01:38 EDT
Technically, the home page and the dashboard are two different entities. The only "home-like" behaviour is the goto dashboard on sign in.
Comment 3 Sean Flanigan 2013-08-14 21:37:19 EDT
Eventually they do need to be the same page, but for the 3.0 release the dashboard does not support the existing features of the home page, so we had to keep the separation.
Comment 4 Damian Jansen 2013-08-14 22:50:11 EDT
Verified at 21666add5b2a709df3e4594afec44ccd824174b4

Looks good so far. Additions to what is in 3.0 will be separate items.

Not in 3.0:
- flagged ("favourited") projects...
- joined language teams
Comment 5 Sean Flanigan 2013-11-26 22:15:18 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.
Comment 6 Sean Flanigan 2013-11-26 22:16:42 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.
Comment 7 Sean Flanigan 2013-11-26 22:18:37 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.
Comment 8 Sean Flanigan 2013-11-26 22:24:41 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.
Comment 9 Sean Flanigan 2013-11-26 22:33:17 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.
Comment 10 Sean Flanigan 2013-11-26 22:35:33 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.

Note You need to log in before you can comment on or make changes to this bug.